Sequel.migration do

  up do
    create_table(:ip_addresses) do
      primary_key :id
      String :address, null: false
      String :dns_name
      String :comment
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end
  end

  down do
    drop_table(:ip_addresses)
  end

end
