Sequel.migration do

  up do
    create_table(:items) do
      primary_key :id
      String :name, null: false
      String :manufacturer
      String :serial_number
      String :sku_number
      String :type
      String :purchased_from
      DateTime :purchased_at
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end
  end

  down do
    drop_table(:items)
  end

end
